Macros
Test Macro
Test a SQL macro execution.
Executes the macro in a transaction that is rolled back after execution. Requires superadmin privileges.
POST
/
api
/
v1
/
macros
/
{macro_id}
/
test
Test Macro
curl --request POST \
--url https://api.example.com/api/v1/macros/{macro_id}/test \
--header 'Content-Type: application/json' \
--data '
{
"parameters": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/v1/macros/{macro_id}/test"
payload = { "parameters": ["<string>"] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({parameters: ['<string>']})
};
fetch('https://api.example.com/api/v1/macros/{macro_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"execution_time": 123,
"result": "<string>",
"rows_affected": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Body
application/json
Schema for testing a macro.
Array of test values to pass to the macro
Previous
List Audit LogsList audit log entries with advanced filtering and pagination.
Only superadmins can access audit logs.
PII is masked unless the user belongs to the 'pii_access' group.
Next
⌘I
Test Macro
